FreeMat

- Main Page
- Related Pages

vtkPDataSetReader

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPDataSetReader will read a piece of a file, it takes as input a metadata file that lists all of the files in a data set.

To create an instance of class vtkPDataSetReader, simply invoke its constructor as follows

      obj = vtkPDataSetReader

# Methods

The class vtkPDataSetReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPDataSetReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPDataSetReader = obj.NewInstance ()`
- `vtkPDataSetReader = obj.SafeDownCast (vtkObject o)`
- `obj.SetFileName (string )` - This file to open and read.
- `string = obj.GetFileName ()` - This file to open and read.
- `int = obj.GetDataType ()` - This is set when UpdateInformation is called. It shows the type of the output.
- `int = obj.CanReadFile (string filename)` - Called to determine if the file can be read by the reader.